Bug 20508 - error at compilation of a program
Summary: error at compilation of a program
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-08 09:00 UTC by Need Real Name
Modified: 2007-03-27 03:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-13 11:08:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
layout of the compilation (15.16 KB, image/gif)
2000-11-08 09:01 UTC, Need Real Name
no flags Details
source file that contains the classes (24.76 KB, patch)
2000-11-09 14:15 UTC, Need Real Name
no flags Details | Diff
file to make the compilation (1.10 KB, patch)
2000-11-09 14:15 UTC, Need Real Name
no flags Details | Diff
file produced for de compilation wtih -save-temps -v options (267.37 KB, patch)
2000-11-09 14:17 UTC, Need Real Name
no flags Details | Diff
source file that contains procedures (8.29 KB, patch)
2000-11-09 14:17 UTC, Need Real Name
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Need Real Name 2000-11-08 09:00:18 UTC
Hello, I've isntalled the RedHat version 7.0. When I treated to compile a 
program that worked with my other version of  Linux, the compiler shows an 
error. The program is good.

gcc -Wall -c -g -o ./logpol.o ./logpol.cpp -I../include
In file included from ./logpol.cpp:2:
ximg.hpp:237: ISO C++ forbids declaration of 'Initialize' with no type
...
...
ximg.hpp: At top level:
ximg.hpp:293: Internal error # 19990916
ximg.hpp:293: Internal compiler error in poplevel, at ../gcc/cp/decl.c:1315
make: ***[logpol.o] Error 1

The output of the gcc -v program in my system is:

Reading specs form /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.0)


What can I do?

Comment 1 Need Real Name 2000-11-08 09:01:27 UTC
Created attachment 5147 [details]
layout of the compilation

Comment 2 Jakub Jelinek 2000-11-08 13:27:29 UTC
Can you please rerun the command above with -save-temps -v options
and attach here resulting logpol.ii? I believe the ICE is fixed in gcc-2.96-63,
but your program most probably needs fixing as well (without seeing it,
I cannot say it for sure, but g++ is now much more strict about C++ code,
even if it compiled with older g++, it does not mean the source is ok).

Comment 3 Need Real Name 2000-11-09 14:07:34 UTC
Here you have the resulting logpol.ii

I attach also the source files an the file I use to make the compilation and 
link.

Thank you.

Comment 4 Need Real Name 2000-11-09 14:09:17 UTC
Sorry, how can I attach new files to this bug report?

Comment 5 Jakub Jelinek 2000-11-09 14:13:33 UTC
There is `Create a new attachment' (at least I see it in lynx which I'm using).
BTW: Just the .ii file is needed.

Comment 6 Need Real Name 2000-11-09 14:15:15 UTC
Created attachment 5182 [details]
source file that contains the classes

Comment 7 Need Real Name 2000-11-09 14:15:54 UTC
Created attachment 5183 [details]
file to make the compilation

Comment 8 Need Real Name 2000-11-09 14:17:19 UTC
Created attachment 5184 [details]
file produced for de compilation wtih -save-temps -v options

Comment 9 Need Real Name 2000-11-09 14:17:50 UTC
Created attachment 5185 [details]
source file that contains procedures

Comment 10 Jakub Jelinek 2000-11-13 11:08:51 UTC
It is actually fixed in gcc-c++-2.96-64, not -63.


Note You need to log in before you can comment on or make changes to this bug.